> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/da/powershell-commands/update-dsgatewayruleset.md).

# Update-DSGatewayRuleset

Update-DSGatewayRuleset opdateringer navnet, beskrivelse, adgang regler, linked gateway, og sikkerhed indstillinger af en Devolutions Server gateway ruleset.

### Synopsis

Opdatering en gateway ruleset.

### Syntaks

#### GetByID

```
Update-DSGatewayRuleset [-GatewayID] <guid> [[-Name] <string>] [[-Description] <string>]
 [[-Rule] <PSGatewayAccessRule[]>] [[-LinkedGatewayID] <guid>] [-Security <GatewaySecurity>]
 [-IsDefault <bool>] [<CommonParameters>]
```

#### InputObject

```
Update-DSGatewayRuleset [-Gateway] <Gateway> [[-Name] <string>] [[-Description] <string>]
 [[-Rule] <PSGatewayAccessRule[]>] [[-LinkedGatewayID] <guid>] [-Security <GatewaySecurity>]
 [-IsDefault <bool>] [<CommonParameters>]
```

### Description

Opdatering en gateway ruleset. Brug parameteren at redigere tilsvarende egenskaber.

Denne cmdlet var tidligere med navnet Update-DSVirtualGateway. At navn er stadig tilgængelig som et alias.

### Eksempler

#### Eksempel 1

```powershell
PS C:\> $gatewayId = Get-DSGateway -Name 'GatewayRulesetA' | Select-Object -ExpandProperty ID
PS C:\> $newRule = New-DSGatewayRulesetAccessRule -Access Deny -Type IP -Value '1.2.3.4'
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayId -Rule $newRule
```

Erstat alle eksisterende adgang regler af gatewayen ruleset for en at afviser IP adresse '1.2.3.4'.

#### Eksempel 2

```powershell
PS C:\> $gateway = Get-DSGateway -Name 'GatewayRulesetA'
PS C:\> $gateway.NetworkAccessRules.AllowList.Add(@{ 'Type' = 'IP'; 'Value' = '1.2.3.4' })
PS C:\> Update-DSGatewayRuleset -Gateway $gateway
```

Tilføj en ny regel at tillader IP adresse '1.2.3.4' til gatewayen ruleset.

#### Eksempel 3

```powershell
PS C:\> $vaultIds = @($vaultId1, $vaultId2)
PS C:\> $security = New-DSGatewaySecurity -VaultRoleOverride Custom -CustomVaultAccess $vaultIds -DisallowPrivateVaults
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayRulesetId -Security $security
```

Opret en sikkerhed konfiguration med adgang limited til specifik bokse, disallow privat bokse, og apply den til en gateway ruleset.

### Parametre

#### -Description

Ny beskrivelse af gatewayen ruleset.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Gateway

Gateway ruleset at opdatere.

```yaml
Type: Devolutions.Server.ApiWrapper.Models.Gateway.Gateway
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -GatewayID

ID af gatewayen ruleset at opdatere.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: GetByID
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -IsDefault

Angiv som standard gateway.

```yaml
Type: System.Boolean
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -LinkedGatewayID

Ny physical gatewayen ID.

```yaml
Type: System.Nullable`1[System.Guid]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 4
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Name

Gateway ruleset's ny navn. Værdien bliver trimmed.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Rule

Ny sæt af adgang regler. Den vil replace alle gammel ones.

```yaml
Type: Devolutions.PowerShell.PSOutputObject.PSGatewayAccessRule[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 3
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Security

Sikkerhed konfiguration for gatewayen ruleset. Brug [New-DSGatewaySecurity](/powershell/da/powershell-commands/new-dsgatewaysecurity.md) at oprette denne objekt.

```yaml
Type: Devolutions.Server.Models.Shared.Models.Gateway.GatewaySecurity
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Denne cmdlet understøtter de almindelige parametre: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction og -WarningVariable. Yderligere oplysninger finder De i [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Noter

Yderligere oplysninger får De ved at skrive "Get-Help Update-DSGatewayRuleset -detailed". Tekniske oplysninger får De ved at skrive "Get-Help Update-DSGatewayRuleset -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/da/powershell-commands/update-dsgatewayruleset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
